Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 2580833003: ShowGlobals tool to dump large/repeated Win32 globals (Closed)

Created:
2 years, 5 months ago by brucedawson
Modified:
2 years, 5 months ago
Reviewers:
stanisc, chengx
CC:
chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

ShowGlobals tool to dump large/repeated Win32 globals When investigating binary size regressions or just looking for size reduction opportunities it can be helpful to examine global variables. The most interesting ones are those that are repeated (due to abuse of const or static in header files) or those that are very large. This tool uses DIA2 to analyze a PDB and print the interesting global variables. The configuration options for what is large enough to count as interesting are in the code - making them command-line arguments is left as an exercise for some future developer. This is not part of the regular Chromium build. Project files are included for building with Visual Studio. BUG=630755 Committed: https://crrev.com/06d14dce6d5cb0b4ba2df631c5247c5c85047dd8 Cr-Commit-Position: refs/heads/master@{#439981}

Patch Set 1 #

Patch Set 2 : Fixing copyright date #

Total comments: 21

Patch Set 3 : Code review changes #

Patch Set 4 : More code review tweaks #

Unified diffs Side-by-side diffs Delta from patch set Stats (+429 lines, -0 lines) Patch
A tools/win/ShowGlobals/ShowGlobals.cc View 1 2 3 1 chunk +247 lines, -0 lines 0 comments Download
A tools/win/ShowGlobals/ShowGlobals.sln View 1 chunk +28 lines, -0 lines 0 comments Download
A tools/win/ShowGlobals/ShowGlobals.vcxproj View 1 chunk +154 lines, -0 lines 0 comments Download

Messages

Total messages: 15 (6 generated)
brucedawson
PTAL at the source for this new tool. This is only intended for use when ...
2 years, 5 months ago (2016-12-15 22:47:02 UTC) #2
brucedawson
Ping - PTAL.
2 years, 5 months ago (2016-12-19 18:31:05 UTC) #3
chengx
LGTM with a few comments. https://codereview.chromium.org/2580833003/diff/20001/tools/win/ShowGlobals/ShowGlobals.cc File tools/win/ShowGlobals/ShowGlobals.cc (right): https://codereview.chromium.org/2580833003/diff/20001/tools/win/ShowGlobals/ShowGlobals.cc#newcode106 tools/win/ShowGlobals/ShowGlobals.cc:106: IDiaSymbol* type_symbol; I think ...
2 years, 5 months ago (2016-12-19 21:48:03 UTC) #4
stanisc
lgtm with a few nits / questions https://codereview.chromium.org/2580833003/diff/20001/tools/win/ShowGlobals/ShowGlobals.cc File tools/win/ShowGlobals/ShowGlobals.cc (right): https://codereview.chromium.org/2580833003/diff/20001/tools/win/ShowGlobals/ShowGlobals.cc#newcode64 tools/win/ShowGlobals/ShowGlobals.cc:64: } Maybe ...
2 years, 5 months ago (2016-12-19 22:11:40 UTC) #5
brucedawson
Thanks for all the feedback. I changed the code to get rid of all of ...
2 years, 5 months ago (2016-12-19 23:00:51 UTC) #6
stanisc
lgtm lgtm
2 years, 5 months ago (2016-12-21 01:26:02 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2580833003/60001
2 years, 5 months ago (2016-12-21 02:08:30 UTC) #10
commit-bot: I haz the power
Committed patchset #4 (id:60001)
2 years, 5 months ago (2016-12-21 02:19:41 UTC) #13
commit-bot: I haz the power
2 years, 5 months ago (2016-12-21 02:21:02 UTC) #15
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/06d14dce6d5cb0b4ba2df631c5247c5c85047dd8
Cr-Commit-Position: refs/heads/master@{#439981}

Powered by Google App Engine
This is Rietveld 408576698